Get Specific Connection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /connections/{connectionId}

Get Specific Connection.

Path parameters

  • connectionId string Required

    id of the Connection

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string

      id of the Connection

    • action string

      Not used

    • config object
      Hide config attributes Show config attributes object
      • action string

        depending of what type of action

      • condition_expression string

        Condition Expression

      • condition_helper_code string

        Condition Helper Code

    • connection_name string

      Name of the Connection

    • create_by_id string

      Creator Entity Id

    • created_by string

      Name of the creator

    • description string

      Description of the Connection

    • owning_entity string

      Connection owner

    • trusted_entities

      Array of Entity Ids that have permission to use this connection

    • type string

      type of the Connection (db, iform_oauth2, slack, smtp, zoho)

GET /connections/{connectionId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/connections/{connectionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "56f5ee16dbfeb2ebea4c76dc",
  "action": "Edit",
  "config": {
    "sqlServerDb": "xxxxxxxxxx",
    "sqlServerHost": "xxxxxxxxxx",
    "sqlServerPassword": "xxxxxxxxxx",
    "sqlServerPort": "1433",
    "sqlServerSchema": "xxxxxxxxxx",
    "sqlServerUsername": "xxxxxxxxxx",
    "subdomain": ""
  },
  "connectionName": "sql_server_bad",
  "createById": "5684058f159fffbe29ff9912",
  "createdBy": "user_5000",
  "description": "test bad connection",
  "owningEntity": "user_5000",
  "trustedEntities": [],
  "type": "db"
}